'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _i18n = require('@s-ui/i18n');

var _i18n2 = _interopRequireDefault(_i18n);

var _polyglot = require('@s-ui/i18n/lib/adapters/polyglot');

var _polyglot2 = _interopRequireDefault(_polyglot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEFAULT_CULTURE = 'es-ES';
var DEFAULT_CURRENCY = 'EUR';

var initRosseta = function initRosseta(literals) {
  var config = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var i18n = new _i18n2.default({ adapter: new _polyglot2.default() });
  i18n.languages = literals;
  i18n.culture = config.culture || DEFAULT_CULTURE;
  i18n.currency = config.currency || DEFAULT_CURRENCY;

  return i18n;
};

exports.default = function (_ref) {
  var literalsUseCase = _ref.literalsUseCase,
      dictionary = _ref.dictionary,
      config = _ref.config;
  return literalsUseCase ? literalsUseCase.execute().then(function (literals) {
    return initRosseta(literals, config);
  }) : new _promise2.default(function (resolve) {
    return resolve(initRosseta(dictionary, config));
  });
};